> ## Documentation Index
> Fetch the complete documentation index at: https://sambanova-systems.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deepresearch Agent

> The deep research agent conducts multi-iteration research and produces comprehensive reports. This interactive endpoint uses a two-step workflow:

1. Submit a prompt to receive a thread_id and research plan for approval
2. Submit a prompt with thread_id and resume=true to generate the final report




## OpenAPI

````yaml https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch
openapi: 3.1.0
info:
  title: Sambanova Agents Service
  description: Service for Sambanova agents
  version: 0.0.1
  termsOfService: https://sambanova.ai/cloud-end-user-license-agreement
  contact:
    email: info@sambanova.ai
    name: SambaNova information
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://chat.sambanova.ai/api
security:
  - api_key: []
externalDocs:
  description: Find out more in the official SambaNova docs
  url: https://docs.sambanova.ai/cloud/api-reference/overview
paths:
  /agent/deepresearch:
    post:
      tags:
        - Subagents
      summary: Deepresearch Agent
      description: >
        The deep research agent conducts multi-iteration research and produces
        comprehensive reports. This interactive endpoint uses a two-step
        workflow:


        1. Submit a prompt to receive a thread_id and research plan for approval

        2. Submit a prompt with thread_id and resume=true to generate the final
        report
      operationId: deepresearch_agent_agent_deepresearch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeepResearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseAgentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    DeepResearchRequest:
      title: DeepResearchRequest
      type: object
      description: Request for deep research agent json object
      additionalProperties: false
      properties:
        prompt:
          title: Prompt
          description: The main prompt for the deep research agent
          type: string
      required:
        - prompt
      examples:
        - prompt: Conduct research on quantum computing advances in 2024
    BaseAgentResponse:
      type: object
      title: Base agent response object
      description: Base agent response object
      additionalProperties: false
      properties:
        status:
          title: status
          description: status of agent gereneration
          type: string
        result:
          title: result
          description: results description
          type: string
        artifacts:
          title: artifacts
          description: generated artifacts
          type: array
          items:
            type: string
            description: id of generated artifact
        thread_id:
          title: thread_id
          description: thread id for persistent context
          type: string
      required:
        - status
        - result
        - artifacts
        - thread_id
      example:
        status: success
        result: I've created the bar chart...
        artifacts:
          - file-id-123
        thread_id: thread-abc
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    api_key:
      type: http
      description: SambaNova API Key
      scheme: bearer
      bearerFormat: apiKey

````